%define name    kasablanca 
%define version 0.4.0.2
%define rel     5
%define release %mkrel %rel 

Name:           %{name} 
Summary:        A graphical ftp client for kde, with a lot of functions
Version:        %{version} 
Release:        %{release} 
Source0:        http://download.berlios.de/%{name}/%{name}-%{version}.tar.bz2 
URL:            http://kasablanca.berlios.de
Group:          Networking/File transfer
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        GPL 

BuildRequires: kdelibs-devel
BuildRequires: openssl-devel

%description
Kasablanca is an ftp client, written in c++, using the kde libraries.
among its features are currently encryption (auth tls) support, fxp,
site bookmarks, and queued transfers.

%prep
%setup

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure

%build 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT/%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Networking/File transfer" $RPM_BUILD_ROOT/%{_datadir}/applnk/Utilities/%{name}.desktop $RPM_BUILD_ROOT/%{_menudir}/%{name} kde
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %name

%post
%update_menus
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif

%postun 
%clean_menus
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif

%clean 
rm -rf $RPM_BUILD_ROOT 

%files -f %name.lang
%defattr(-,root,root)
%doc doc/en/index.cache.bz2 doc/en/index.docbook
%{_bindir}/kasablanca
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_datadir}/apps/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_menudir}/%{name}
%{_datadir}/config.kcfg/kbconfig.kcfg

%dir %{_docdir}/HTML/en/kasablanca
%{_docdir}/HTML/en/kasablanca/common
%{_docdir}/HTML/en/kasablanca/index.cache.bz2
%{_docdir}/HTML/en/kasablanca/index.docbook

%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Jul 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.0.2-1mdv2007.0
- Rebuild for new menu && extension 
- Use Macros for icons

* Wed Dec 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.0.2-4mdk
- Fix BuildRequires

* Wed Dec 14 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.0.2-3mdk
- Fix BuildRequires

* Sat Apr 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.0.2-2mdk
- Fix build for amd64
- %%mkrel

* Thu Mar 10 2005 Nicolas Lecureuil <neoclust@mandrake.org> 0.4.0.2-1mdk
- New release 0.4.0.2

* Fri Aug 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0.1-1mdk
- 0.4.0.1

* Thu Aug 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4-2mdk
- from Thomas Deutsch <thomas@tuxpeople.org> : 
	- Bugfixing of this specfile

* Sat Aug 07 2004 Thomas Deutsch <thomas@tuxpeople.org> 0.4-1mdk
- Initial Release 
